%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           gtknetcat
Summary:	netcat GUI frontend
URL:		http://lxde.org/
License:	GPL
Version:	0.1
Release:	3
BuildArch:	i686
#Epoch:		0
Group:		Graphical Desktop/LXDE
BuildRoot:      %{_tmppath}/%{name}-buildroot
# Sources:
Source:		%{name}-%{version}.tar.gz

#Automatically resolved build dependencies
BuildRequires: python26-devel intltool

%description
GtkNetCat is a GUI frontend for the old UNIX command nc (netcat).
This tool can be used to transfer files to another computer via direct wired connection.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --libexecdir=%_libdir/%{name} \
	    --disable-debug PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/locale/
%{_datadir}/gtknetcat/
%{python_sitelib}
%_libdir/%{name}/gtknetcat.py

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.1-3
- python 2.6
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 0.1-2
- moved libexecdir
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1-1
- initial CCux package release
